when copy page the originators profile picture carries over

Bug #1306365 reported by shanen on 2014-04-11
6
This bug affects 1 person
Affects Status Importance Assigned to Milestone
Mahara
High
Son Nguyen
1.6
High
Son Nguyen
1.7
High
Son Nguyen
1.8
High
Son Nguyen
1.9
High
Son Nguyen

Bug Description

Mahara 1.8.1

Found this one today...

To recreate:

User X:
Create a page with profile picture on it.
Enable copying (aka setup as a template)

User Y:
Make a copy of that template as basis for a new page.

Result: the profile picture of User X is still used rather than replacing with User Y.

Cheers,
Shane.

Son Nguyen (ngson2000) on 2014-04-13
Changed in mahara:
status: New → Confirmed
assignee: nobody → Son Nguyen (ngson2000)
importance: Undecided → High
Son Nguyen (ngson2000) wrote :

This issue also happens to 1.6, 1.7, 1.9 and master

Son Nguyen (ngson2000) on 2014-04-13
Changed in mahara:
status: Confirmed → In Progress

Reviewed: https://reviews.mahara.org/3234
Committed: http://gitorious.org/mahara/mahara/commit/c0f68a99926fb7ab49868d5e9d659deb45d56b95
Submitter: Robert Lyon (<email address hidden>)
Branch: master

commit c0f68a99926fb7ab49868d5e9d659deb45d56b95
Author: Son Nguyen <email address hidden>
Date: Mon Apr 14 11:22:59 2014 +1200

Update the profile icon when copying a profile info block-bug 1306365

Change-Id: Id3f8cef503512cb81c6a2391dcc5134b38af7fbc
Signed-off-by: Son Nguyen <email address hidden>

Robert Lyon (robertl-9) on 2014-04-13
Changed in mahara:
milestone: none → 1.10.0
Mahara Bot (dev-mahara) wrote :

Patch for "1.8_STABLE" branch: https://reviews.mahara.org/3237

Mahara Bot (dev-mahara) wrote :

Patch for "1.9_STABLE" branch: https://reviews.mahara.org/3238

Reviewed: https://reviews.mahara.org/3235
Committed: http://gitorious.org/mahara/mahara/commit/fd9f88a83358e36abc2244526be7622239c5912f
Submitter: Robert Lyon (<email address hidden>)
Branch: 1.6_STABLE

commit fd9f88a83358e36abc2244526be7622239c5912f
Author: Son Nguyen <email address hidden>
Date: Mon Apr 14 11:22:59 2014 +1200

Update the profile icon when copying a profile info block-bug 1306365

Change-Id: Id3f8cef503512cb81c6a2391dcc5134b38af7fbc
Signed-off-by: Son Nguyen <email address hidden>

Mahara Bot (dev-mahara) wrote :

Reviewed: https://reviews.mahara.org/3236
Committed: http://gitorious.org/mahara/mahara/commit/0425bfd7b988c4d9028654ba6745b9dbd0a24769
Submitter: Robert Lyon (<email address hidden>)
Branch: 1.7_STABLE

commit 0425bfd7b988c4d9028654ba6745b9dbd0a24769
Author: Son Nguyen <email address hidden>
Date: Mon Apr 14 11:22:59 2014 +1200

Update the profile icon when copying a profile info block-bug 1306365

Change-Id: Id3f8cef503512cb81c6a2391dcc5134b38af7fbc
Signed-off-by: Son Nguyen <email address hidden>

Mahara Bot (dev-mahara) wrote :

Reviewed: https://reviews.mahara.org/3237
Committed: http://gitorious.org/mahara/mahara/commit/4a06fab7502fadc1f676d6e0752ff1229fcfccc6
Submitter: Robert Lyon (<email address hidden>)
Branch: 1.8_STABLE

commit 4a06fab7502fadc1f676d6e0752ff1229fcfccc6
Author: Son Nguyen <email address hidden>
Date: Mon Apr 14 11:22:59 2014 +1200

Update the profile icon when copying a profile info block-bug 1306365

Change-Id: Id3f8cef503512cb81c6a2391dcc5134b38af7fbc
Signed-off-by: Son Nguyen <email address hidden>

Mahara Bot (dev-mahara) wrote :

Reviewed: https://reviews.mahara.org/3238
Committed: http://gitorious.org/mahara/mahara/commit/ffb7a2bb3a3c8fd9b2acb2fcdbc8a7f3116a7a2c
Submitter: Robert Lyon (<email address hidden>)
Branch: 1.9_STABLE

commit ffb7a2bb3a3c8fd9b2acb2fcdbc8a7f3116a7a2c
Author: Son Nguyen <email address hidden>
Date: Mon Apr 14 11:22:59 2014 +1200

Update the profile icon when copying a profile info block-bug 1306365

Change-Id: Id3f8cef503512cb81c6a2391dcc5134b38af7fbc
Signed-off-by: Son Nguyen <email address hidden>

Robert Lyon (robertl-9) on 2014-04-14
Changed in mahara:
status: In Progress → Fix Committed

Thanks all, thats fantastic.

Aaron Wells (u-aaronw) on 2014-10-21
Changed in mahara:
status: Fix Committed → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers